package com.zt.plat.module.erp.service.erp;

import com.zt.plat.framework.common.pojo.PageResult;
import com.zt.plat.module.erp.controller.admin.erp.vo.ErpCompanyPageReqVO;
import com.zt.plat.module.erp.controller.admin.erp.vo.ErpCompanyRespVO;
import com.zt.plat.module.erp.controller.admin.erp.vo.ErpCompanySaveReqVO;
import com.zt.plat.module.erp.dal.dataobject.erp.ErpCompanyDO;
import jakarta.validation.Valid;

import java.util.List;

/**
 * ERP公司 Service 接口
 *
 * @author 后台管理
 */
public interface ErpCompanyService {

    /**
     * 创建ERP公司
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    ErpCompanyRespVO createErpCompany(@Valid ErpCompanySaveReqVO createReqVO);

    /**
     * 更新ERP公司
     *
     * @param updateReqVO 更新信息
     */
    void updateErpCompany(@Valid ErpCompanySaveReqVO updateReqVO);

    /**
     * 删除ERP公司
     *
     * @param id 编号
     */
    void deleteErpCompany(Long id);

    /**
    * 批量删除ERP公司
    *
    * @param ids 编号
    */
    void deleteErpCompanyListByIds(List<Long> ids);

    /**
     * 获得ERP公司
     *
     * @param id 编号
     * @return ERP公司
     */
    ErpCompanyDO getErpCompany(Long id);

    /**
     * 获得ERP公司分页
     *
     * @param pageReqVO 分页查询
     * @return ERP公司分页
     */
    PageResult<ErpCompanyDO> getErpCompanyPage(ErpCompanyPageReqVO pageReqVO);

    void callErpRfcInterface();

    /**
     * 通过公司编码获得ERP公司
     *
     * @param number 公司编码
     * @return ERP公司
     */
    ErpCompanyDO getErpCompanyByNumber(String number);

    void test();

    String test1();
}